For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
      • POSTCreate field
      • PATCHUpdate field
      • DELDelete field
      • Field Types & Item Values
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
CMSCollection Fields

Update field

PATCH
https://api.webflow.com/v2/collections/:collection_id/fields/:field_id
PATCH
/v2/collections/:collection_id/fields/:field_id
$curl -X PATCH https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/fields/580e63fc8c9a982ac9b8b745 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "isRequired": false,
> "displayName": "Post Body",
> "helpText": "Add the body of your post here"
>}'
1{
2 "id": "75821f618da60c18383330bcc0ca488b",
3 "isRequired": false,
4 "type": "RichText",
5 "displayName": "Post Body",
6 "isEditable": true,
7 "slug": "post-body",
8 "helpText": "Add the body of your post here",
9 "validations": {
10 "maxLength": 1000,
11 "minLength": 100
12 }
13}

Update a custom field in a collection.

Required scope | cms:write

Was this page helpful?
Previous

Delete field

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection
field_idstringRequiredformat: "objectid"
Unique identifier for a Field in a collection

Request

The field details to update
isRequiredbooleanOptional
Define whether a field is required in a collection
displayNamestringOptional
The name of a field
helpTextstringOptional
Additional text to help anyone filling out this field

Response

Request was successful
idstringformat: "objectid"
Unique identifier for a Field
isRequiredboolean
define whether a field is required in a collection
typeenum
Choose these appropriate field type for your collection data
displayNamestring
The name of a field
isEditablebooleanRead-only
Define whether the field is editable
slugstring

Slug of Field in Site URL structure. Slugs should be all lowercase with no spaces. Any spaces will be converted to ”-.”

helpTextstring
Additional text to help anyone filling out this field
validationsobject or nullRead-only
The validations for the field

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error